package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsUserLoginLog;

/**
 * 用户授权登录Service接口
 * 
 * @author fs
 * @date 2024-02-23
 */
public interface IFsUserLoginLogService 
{
    /**
     * 查询用户授权登录
     * 
     * @param id 用户授权登录主键
     * @return 用户授权登录
     */
    public FsUserLoginLog selectFsUserLoginLogById(Long id);

    /**
     * 查询用户授权登录列表
     * 
     * @param fsUserLoginLog 用户授权登录
     * @return 用户授权登录集合
     */
    public List<FsUserLoginLog> selectFsUserLoginLogList(FsUserLoginLog fsUserLoginLog);

    /**
     * 新增用户授权登录
     * 
     * @param fsUserLoginLog 用户授权登录
     * @return 结果
     */
    public int insertFsUserLoginLog(FsUserLoginLog fsUserLoginLog);

    /**
     * 修改用户授权登录
     * 
     * @param fsUserLoginLog 用户授权登录
     * @return 结果
     */
    public int updateFsUserLoginLog(FsUserLoginLog fsUserLoginLog);

    /**
     * 批量删除用户授权登录
     * 
     * @param ids 需要删除的用户授权登录主键集合
     * @return 结果
     */
    public int deleteFsUserLoginLogByIds(Long[] ids);

    /**
     * 删除用户授权登录信息
     * 
     * @param id 用户授权登录主键
     * @return 结果
     */
    public int deleteFsUserLoginLogById(Long id);
}
